import os

from cpl_core.configuration import ConfigurationABC
from cpl_core.environment import ApplicationEnvironmentABC
from cpl_core.mailing import EMail, EMailClientABC, EMailClientSettings
from cpl_translation import TranslatePipe
from flask import jsonify, request

from bot_api.api import Api
from bot_api.configuration.authentication_settings import AuthenticationSettings
from bot_api.logging.api_logger import ApiLogger
from bot_api.model.settings_dto import SettingsDTO
from bot_api.model.version_dto import VersionDTO
from bot_api.route.route import Route


class GraphQLController:
    BasePath = f'/api/graphql'

    def __init__(
            self,
            config: ConfigurationABC,
            env: ApplicationEnvironmentABC,
            logger: ApiLogger,
    ):
        self._config = config
        self._env = env
        self._logger = logger

    @Route.get(f'{BasePath}')
    async def graphql(self):
        return '', 200
