import graphene
from cpl_core.dependency_injection import ServiceProviderABC
from graphene import ObjectType

from bot_data.graphql.types.client_query_type import ClientQueryType
from bot_data.service.client_repository_service import ClientRepositoryService


class ClientQuery(ObjectType):
    clients = graphene.List(ClientQueryType)

    @staticmethod
    @ServiceProviderABC.inject
    def _get_clients(clients: ClientRepositoryService):
        return clients.get_clients()

    @staticmethod
    def resolve_clients(root, info):
        return ClientQuery._get_clients()
