import graphene
from cpl_core.dependency_injection import ServiceProviderABC
from graphene import ObjectType

from bot_data.graphql.types.server_query_type import ServerQueryType
from bot_data.service.server_repository_service import ServerRepositoryService


class ServerQuery(ObjectType):
    servers = graphene.List(ServerQueryType)

    @staticmethod
    @ServiceProviderABC.inject
    def _get_servers(servers: ServerRepositoryService):
        return servers.get_servers()

    @staticmethod
    def resolve_servers(root, info):
        return ServerQuery._get_servers()
