from cpl_core.dependency_injection import ServiceProviderABC
from graphene import ObjectType, Int, DateTime, String, Field

from bot_data.graphql.types.client_query_type import ClientQueryType
from bot_data.model.server import Server
from bot_data.service.client_repository_service import ClientRepositoryService


class ServerQueryType(ObjectType):
    id = Int()
    discord_server_id = String()

    created_at = DateTime()
    modified_at = DateTime()

    client = Field(ClientQueryType)

    @staticmethod
    def resolve_id(server: Server, info):
        return server.server_id

    @staticmethod
    @ServiceProviderABC.inject
    def _get_clients(clients: ClientRepositoryService):
        return clients

    @staticmethod
    def resolve_client(server: Server, info):
        clients: ClientRepositoryService = ServerQueryType._get_clients()
        return clients.find_client_by_server_id(server.server_id)
